Skip to main content

Create Facility

The "create facility" API facilitates the addition of new facility.

Facility​

curl --location 'https://demo.hng.one/developerapi/onboard/create-facility' \
--header 'Authorization: Bearer <<JWT_TOKEN>>' \
--header 'Content-Type: application/json' \
--data-raw '{
"facilityId": "45f08034-e1d2-47fe-d2ca-1b5034d3ud23",
"facilityName": "qwerty",
"clientId": "31e08053-y1d2-46fe-b3ba-1b5034d3fa23",
"spoc": {
"fullName": "test",
"email": "test@gmail.com",
"phone": "9876543211",
"alternatePhone": "9876543211",
"address": "Hyderabad",
"district": "Hyderabad",
"state": "Telangana",
"country": "India",
"zipcode": 500081
}
}'

API Fields Description​

Facility Info​

FieldDescriptionTypeRequired
facilityNamename of the FacilityStringYes
facilityIdunique ID of the FacilityStringYes
clientIdunique ID of the ClientStringYes

Spoc Info​

FieldDescriptionTypeRequired
fullNamename of the spocStringYes
emailemail of the spocStringYes
phonephone of the spocStringYes
alternatePhonealternate phone of the spocStringYes
addressaddress of the spocStringYes
districtdistrictStringYes
statestateStringYes
countrycountryStringYes
zipcodezipcodeNumberYes